Loading...
Searching...
No Matches
fitness::HardwareHealth::FailureStatusChangedEvent Struct Reference

Event that is send when the hardware failure status changes. More...

`import <HardwareHealth.idl;`

Inheritance diagram for fitness::HardwareHealth::FailureStatusChangedEvent:

## Public Attributes

string | componentId
| the ID of the affected hardware component
int | failureType
| one of the hardware failure type constants
boolean | isAsserted
| `true` when the failure is currently asserted
Public Attributes inherited from idl::Event
Object | source
| IDL object that originated the event.

## Detailed Description

Event that is send when the hardware failure status changes.

Definition at line 33 of file HardwareHealth.idl.

## Member Data Documentation

## componentId

string fitness::HardwareHealth::FailureStatusChangedEvent::componentId

the ID of the affected hardware component

Definition at line 34 of file HardwareHealth.idl.

## failureType

int fitness::HardwareHealth::FailureStatusChangedEvent::failureType

one of the hardware failure type constants

Definition at line 35 of file HardwareHealth.idl.

## isAsserted

boolean fitness::HardwareHealth::FailureStatusChangedEvent::isAsserted

`true` when the failure is currently asserted

Definition at line 36 of file HardwareHealth.idl.

The documentation for this struct was generated from the following file:

- HardwareHealth.idl